Changes between Initial Version and Version 1 of Ticket #27150


Ignore:
Timestamp:
01/27/19 17:23:04 (19 months ago)
Author:
vdelecroix
Comment:

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #27150 – Description

    initial v1  
    1 running `sage -t` in a Python 2 or Python 3 installation of Sage results in a wrong set of `--optional`
     1running `sage -t` in a Python 2 or Python 3 installation of Sage results in a wrong set of `--optional` flags
    22{{{
    33$ sage -t XXX
     
    66...
    77}}}
    8 In a Python 2 installation the `py2` should be on while on Python 3 it should be `py3`. For now, a lot of doctests are simply ignored by the default `sage -t` command.
     8In a Python 2 installation the `py2` should be there (the `python2` appearing is quite weird). While on Python 3 it should be `py3`. For now, a lot of doctests are simply ignored by the default `sage -t` command.
    99
    1010See also [https://groups.google.com/forum/#!topic/sage-devel/n0fn8JwtKys this sage-devel thread].
     11
     12
     13Current workaround
     14- On python 2 run `sage -t --optional=sage,py2`
     15- On Python 3 run `sage -t --optional=sage,py3`